# std::unary_function< Arg, Result > Struct Template Reference
[Functor Base Classes]

`#include <stl_function.h>`

Inheritance diagram for std::unary_function< Arg, Result >:

[legend]
List of all members.

## Public Types
typedef Arg | argument_type
| `argument_type` is the type of the
typedef Result | result_type
| `result_type` is the return type

## Detailed Description

### template<class Arg, class Result>
struct std::unary_function< Arg, Result >

This is one of the functor base classes.

Definition at line 102 of file stl_function.h.

## Member Typedef Documentation

template<class Arg, class Result>
typedef Arg std::unary_function< Arg, Result >::argument_type

| `argument_type` is the type of the Definition at line 104 of file stl_function.h.

template<class Arg, class Result>
typedef Result std::unary_function< Arg, Result >::result_type

| `result_type` is the return type Definition at line 107 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h